Table of Contents

Module: im | Twisted-0.19.0/twisted/words/ui/im.py
--- | ---
Imported modules |
--- | ---
import cPickle import string from twisted.words.ui import gateways
Functions |
ErrorWindow _handleDisconnect disconnectGateways getState logoffAccount logonAccount nickComplete saveState send_only
| ErrorWindow
    ErrorWindow ( error,  message )
displayed when an error occurs. error := a short message of the error (good for the title) message := a more detailed error message
Exceptions |
--- | ---
NotImplementedError
| _handleDisconnect
    _handleDisconnect ( gateway,  message )
| disconnectGateways
    disconnectGateways ( im )
log off all the gateways connected to a given InstanceMessengerGUI im := the InstanceMessengerGUI instance
| getState
    getState ( file )
retrieve the state from an open file. returns the state as a list of Account objects. file := the file to retreive the state from (open file)
| logoffAccount
    logoffAccount ( im,  account )
log off a given account im := the InstanceMessenger to disconnect the account from (class InstanceMessenger) account := the account to disconnect (class Account)
| logonAccount
    logonAccount ( im,  account )
log on to a given account. if not all the options are present, returns the options that are missing. im := the InstanceMessenger to connect the account to (class InstanceMessenger) account := the account to connect (class Account)
| nickComplete
    nickComplete ( start,  users )
| saveState
    saveState ( file,  state )
save the current state to a file. file := the file to save the state to (open file) state := the current state (list of Account objects)
| send_only
    send_only ( func,  **kw )
Classes |
Account |
ContactList |
Conversation |
GroupSession |
InstanceMessenger |
InstanceMessengerGUI | This is the interface between InstanceMessenger events and the windows

Table of Contents

This document was automatically generated on Sun Jul 14 19:53:46 2002 by HappyDoc version 2.0